apiVersion: skaffold/v4beta6
kind: Config
metadata:
  name: standaardenregister
deploy:
  kubeContext: k3d-standaardenregister
  # Required because all mounted secrets (e.g. postgres creds) aren't
  # there when deploying from scratch
  tolerateFailuresUntilDeadline: true
build:
  local:
    push: false
  artifacts:
    - image: registry.gitlab.com/commonground/haven/standaardenregister
      context: standaardenregister
      docker:
        dockerfile: Dockerfile
        target: prod
      sync:
        infer:
          - '**/*'
    - image: registry.gitlab.com/commonground/haven/standaardenregistere2e
      context: e2e
      docker:
        dockerfile: Dockerfile
        target: develop
      sync:
        infer:
          - '**/*'
manifests:
  kustomize:
    paths:
      - manifests/overlays/local
profiles:
  - name: dev
